version: '3.9'

volumes:
  app:

services:
  nginx:
    container_name: wanderhome_nginx
    image: nginx:alpine
    volumes:
      - ./src:/usr/share/nginx/html:ro
      - ./nginx:/etc/nginx:ro
    ports:
      - 80:80
      - 443:443
    restart: unless-stopped
    depends_on:
      - wanderhome
  
  wanderhome:
    container_name: wanderhome_server
    image: wanderhome
    build: ./server
    env_file:
      - ./.env
    ports:
      - 5000:5000
    volumes:
      - app:/app/data
    restart: unless-stopped